curl --request GET \
--url https://api.extole.io/v2/rewards/{reward_id}/fulfillments \
--header 'Authorization: <api-key>'import requests
url = "https://api.extole.io/v2/rewards/{reward_id}/fulfillments"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.extole.io/v2/rewards/{reward_id}/fulfillments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"amount": 123,
"cost_code": "<string>",
"created_at": "2025-10-24T02:00:00-07:00",
"face_value": 123,
"face_value_type": "AUD",
"message": "<string>",
"operator_user_id": "<string>",
"partner_reward_id": "<string>",
"reward_id": "<string>",
"success": true
}
]Get reward fulfillments
Returns the fulfilment records for the specified reward.
Authorizations
Path Parameters
Extole-assigned unique identifier for the reward.
Response
Successful response
Monetary amount disbursed during fulfillment. Null if not applicable.
Cost accounting code used for this fulfillment. Null if not applicable.
RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
Face value of the reward at time of fulfillment. Deprecated.
Face value type of the reward at time of fulfillment. Deprecated.
AUD, BRL, CAD, CNY, EUR, GBP, HKD, INR, JPY, KRW, MONTH, MXN, NZD, PERCENT_OFF, POINTS, TRY, TWD, USD Human-readable message from the fulfillment attempt.
Extole user id of the operator who triggered this fulfillment, if applicable.
Partner-assigned identifier for the reward. Null if not yet assigned.
Extole-assigned unique identifier for the reward.
Whether the fulfillment was successful.
